Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome
Class ResponseException

    java.lang.Object
      |
      +--com.jxml.qare.qhome.SDO
            |
            +--com.jxml.qare.qhome.ResponseException

All Implemented Interfaces:
  Item, Response

public class ResponseException
extends SDO
implements Response

This class represents the functionality for displaying the exception after getting response

Inner Class Summary
`class` | `ResponseException.RETemplate` This class provides the functionality for processing the templates

Field Summary
`String` | `exceptionName`
`String` | `exceptionTrace`

Constructor Summary
`ResponseException()`
`ResponseException(Exception e)`

Method Summary
`void` | `eval(Map properties, List args, ClassLoader cl)` Puts the template name into properties.
`String` | `getAction()` Returns the action defined by this message.
`QSchemaFactory` | `getFactory()` Returns the response schema(predefined format of data).
`void` | `process(DBSession.Row qSession)`
`void` | `setPendingMsg(DBPendingMessage.Row pm)` Creates inbox message for exception raised and closes the session

Methods inherited from class com.jxml.qare.qhome.SDO
`createInboxMsg, createInboxMsg, exceptionTraceString, getFactoryClassName, getQDoc, getSchema, toXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### exceptionName

    public String exceptionName

### exceptionTrace

    public String exceptionTrace

Constructor Detail

### ResponseException

    public ResponseException()

### ResponseException

    public ResponseException(Exception e)
                      throws UnsupportedEncodingException

Method Detail

### getAction

    public String getAction()

  Returns the action defined by this message.
  Overrides:
    `getAction` in class `SDO`

### getFactory

    public QSchemaFactory getFactory()

  Returns the response schema(predefined format of data).
  Overrides:
    `getFactory` in class `SDO`

### process

    public void process(DBSession.Row qSession)
                 throws Exception

### setPendingMsg

    public void setPendingMsg(DBPendingMessage.Row pm)
                       throws Exception

  Creates inbox message for exception raised and closes the session
  Specified by:
    `setPendingMsg` in interface `Response`
  Parameters:
    `pm` - Reference to PendingMsg

### eval

    public void eval(Map properties,
                     List args,
                     ClassLoader cl)
              throws Exception

  Puts the template name into properties.
  Overrides:
    `eval` in class `SDO`
  Parameters:
    `properties` - Contains the template name
    `args` - Arguments present in config
    `cl` - class to be loaded for individual plugins.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD